Subject: Re: [model selector] keyword

From: [email-masked] ( Bob Ross)
Date: Mon, 7 Jul 1997 18:06:20 -0700 (PDT)

Roland:

I do not think we intended that the reserved words be used with
[Model Selector].  As it stands, it looks like they could be
used.  We will need to raise this question as a clarification
issue.

As an alternative, the same effect could be accomplished by
using a Terminator model to accomplish the same effect - 
a low resistance to ground or power for GND or POWER, and
a high resistance for NC.

In your example below, the [Model Selector] does not undo
the differential association that may exist for the differential
driver.  Either the pins 19 and 20 will always be differential
or be single ended based on the [Diff Pin] keyword.  

Best Regards,
Bob Ross
Interconnectix

> From: Roland Chang <[email-masked]>
> To: "[email-masked]'" <[email-masked]>
> Subject: [model selector] keyword
> Date: Mon, 7 Jul 1997 15:25:57 -0700

> Hello all,

> I was wondering, in the use of the model selector keyword, can one list
> POWER, GND, and NC?
> The reason I ask, is that in the case of pins that are usable in various
> modes, it often  involves grounding, or leaving  certain other pins
> open(NC).

> thanx,

> roland
> ******************************************
> Roland Chang ext. 2647

> PMC-Sierra 
> Applications Department
> 105-8555 Baxter Place
> Burnaby, BC
> V5A 4V7
> Tel: (604) 415-6000

> email: [email-masked]
> ******************************************

> eg:

> [Pin] signal_name    model_name     R_pin       L_pin      C_pin
> .
> .
> .
> 9     CLKI         crystalbuf    
> 10   CLKO       crystalbuf
> .
> .
> .
> 19  IN(+)          PECLbuf
> 20  IN(-)           PECLbuf
> .
> .
> .
> [Model Selector]    crystalbuf
> NC        |default, CLKI, CLKO attached to a crystal
> pc5x03  |if CLKO left open (NC), feed external clock signal into CLKI

> [Model Selector]    PECLbuf
> PECL_diff         |default, IN(+), IN(-) function as PECL differential
> inputs
> PECL_single    | IN(+) as single sided PECL, decouple IN(-) to ground.
> TTL_single       | IN(+) as single sided TTL, IN(-) to ground.
> GND